> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Transfer Card Balance

> Transfer card balance to another card



## OpenAPI

````yaml api-reference/banking-api/openapi.json POST /banking/cards/{id}/transfer_balance
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cards/{id}/transfer_balance:
    post:
      tags:
        - cards
      summary: Transfer card balance to another card
      description: Transfer card balance to another card
      operationId: TrioFoundationWeb.Banking.Card.CardController.transfer_balance
      parameters:
        - description: From card ID
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Card_transfer_balance_params'
        description: Transfer Card Balance
        required: true
      responses:
        '204':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTP204NoContent'
          description: Transferred
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    Card_transfer_balance_params:
      description: Card transfer balance params
      example:
        amount: 1000
        destination_card_id: 019514eb-5d5c-b395-5a77-449d12701ce7
        entity_id: 019514eb-5d5c-b395-5a77-449d12701ce7
      properties:
        amount:
          description: Amount to transfer (R$)
          type: integer
        destination_card_id:
          description: Destination card UUID
          type: string
        entity_id:
          description: Entity UUID
          type: string
      required:
        - entity_id
        - destination_card_id
        - amount
      title: Card transfer balance params
      type: object
    HTTP204NoContent:
      example: No Content
      format: string
      title: HTTP204NoContent
      type: string
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object

````